
#define SAVE_SCREEN       // restore screen after program quits

#include <tigcclib.h>
#include "TFPdraw.h"
short _ti89,_ti92plus;

void _main(void) {
    int w;
    int mamesure=0,mesure_petite=0,mesure_med=0,mesure_big=0;
    char          tmpstr[50] = "Measuring, please wait ...";
    unsigned char *lcd;
 lcd = LCD_MEM;
BEGUSE_TFP();
CONFIG_TFP("comic");
    FontSetSys(F_4x6);

    OSFreeTimer(USER_TIMER);
    OSRegisterTimer(USER_TIMER,1000);

    ClearScreen();
    DrawStr(0,0,tmpstr,A_REPLACE);
for(w=0;w<3570;w+=2)
	{lcd[w+270] = 0b11111111;lcd[w+271] = 0b00000000;}
//---------------------------------------------------------------------
// TFP str drawing routine ...
//---------------------------------------------------------------------
        OSFreeTimer (USER_TIMER);
				OSRegisterTimer (USER_TIMER, 20);
				while (!OSTimerExpired (USER_TIMER)){
            XStr(5,30,"abcdefghijklmnopqrstuvwxyz",NORMAL,MODE_XOR,LCD_MEM);
         mamesure++;   
        }
        
        sprintf(tmpstr,"TFP a trace %d chaines",mamesure);
        memset(LCD_MEM,0,30*8);
        DrawStr(0,0,tmpstr,A_REPLACE);
        ngetchx();
//---------------------------------------------------------------------
// build-in AMS str drawing routine 1...
//---------------------------------------------------------------------
FontSetSys(F_4x6);
        OSFreeTimer (USER_TIMER);
				OSRegisterTimer (USER_TIMER, 20);
				while (!OSTimerExpired (USER_TIMER))
					{DrawStr(5,45,"abcdefghijklmnopqrstuvwxyz",A_XOR);
				mesure_petite++;
        }
        sprintf(tmpstr,"AMS a trace %d chaines (petite police)",mesure_petite);
        memset(LCD_MEM,0,30*8);
        FontSetSys(F_4x6);
        DrawStr(0,0,tmpstr,A_REPLACE);
        ngetchx();
//---------------------------------------------------------------------
// build-in AMS str drawing routine 2...
//---------------------------------------------------------------------
FontSetSys(F_6x8);
        OSFreeTimer (USER_TIMER);
				OSRegisterTimer (USER_TIMER, 20);
				while (!OSTimerExpired (USER_TIMER))
					{DrawStr(5,60,"abcdefghijklmnopqrstuvwxyz",A_XOR);
					mesure_med++;
        }
        sprintf(tmpstr,"AMS a trace %d chaines (moyenne police)",mesure_med);
        memset(LCD_MEM,0,30*8);
        FontSetSys(F_4x6);
        DrawStr(0,0,tmpstr,A_REPLACE);
        ngetchx();
//---------------------------------------------------------------------
// build-in AMS str drawing routine 3...
//---------------------------------------------------------------------
FontSetSys(F_8x10);
        OSFreeTimer (USER_TIMER);
				OSRegisterTimer (USER_TIMER, 20);
				while (!OSTimerExpired (USER_TIMER))
					{DrawStr(5,75,"abcdefghijklmnopqrstuvwxyz",A_XOR);
					mesure_big++;
        }
        OSFreeTimer (USER_TIMER);
        sprintf(tmpstr,"AMS a trace %d chaines (grande police)",mesure_big);
        memset(LCD_MEM,0,30*8);
        FontSetSys(F_4x6);
        DrawStr(0,0,tmpstr,A_REPLACE);
        ngetchx();
ClrScr();
sprintf(tmpstr,"XStr/AMS=%f -little font",(float)((float)mamesure/(float)mesure_petite));
XStr(2,30,tmpstr,NORMAL,MODE_XOR,LCD_MEM);
sprintf(tmpstr,"XStr/AMS=%f -medium font",(float)((float)mamesure/(float)mesure_med));
XStr(2,45,tmpstr,NORMAL,MODE_XOR,LCD_MEM);
sprintf(tmpstr,"XStr/AMS=%f -large font",(float)((float)mamesure/(float)mesure_big));
XStr(2,60,tmpstr,NORMAL,MODE_XOR,LCD_MEM);
ngetchx();
OSFreeTimer(USER_TIMER);
ENDUSE_TFP();
}
