#define SAVE_SCREEN           // Save/Restore LCD Contents
//seulement pour 92+!
short _ti92plus;              // Produce .9XZ File
unsigned char *plan;
struct CHAR
{
unsigned char Yoffset;
unsigned char lar;
unsigned char hau;
unsigned char map[12];
};
struct CHAR *CHARS;
struct CHAR *FONT;
struct CHAR buffer;
struct CHAR buffer2;
struct CHAR clipboard;
short curr=0,x=0,y=0;
#include <tigcclib.h>         // Include All Header Files

#include "TFPdraw.h"
#include "draw.h"
#include "plateau.h"
#include "fonctions.h"
// Main Function
void main_prog(void)
{
short key=0,oldinit,oldelay;
FILE *font;
char *err="there was a memory error";
if((CHARS = malloc(15*255))==NULL)
{
	DlgMessage ("", err, BT_NONE, BT_OK);
	exit(0);
}
if((FONT = malloc(15*255))==NULL)
{
	DlgMessage ("", err, BT_NONE, BT_OK);
	exit(0);
}
if(!(font = fopen("comic","rb")))
{
DlgMessage ("", "comic.font missing", BT_NONE, BT_OK);
exit(0);
}
memcpy(FONT,(*font).fpos,15*255);
memcpy(CHARS,(*font).fpos,15*255);
fclose(font);
strcpy(fontname,"comic");
plan = malloc(3840);
ClrScr();
DrawPlateau();
DrawApercu();
DrawDonnees();
buffer=CHARS[curr];
buffer.Yoffset=buffer.Yoffset/30;
UpdatePlateau(buffer);
UpdateApercu(buffer);
UpdateDonnees();
cursor();
oldinit = OSInitKeyInitDelay(50);
oldelay = OSInitBetweenKeyDelay(10);
while((key=ngetchx()))
{
cursor();
if(key==KEY_F4)
	if(Menu()==1)
		goto end;
		
if(key==KEY_F5||key==KEY_F6)
		{buffer.Yoffset=buffer.Yoffset*30;
		CHARS[curr]=buffer;}
if(key==KEY_F5)
	if(curr<254)
		curr++;
if(key==KEY_F6)
	if(curr>0)
		curr--;		
if(key==KEY_F5||key==KEY_F6)
		{buffer=CHARS[curr];
		buffer.Yoffset=buffer.Yoffset/30;
		UpdatePlateau(buffer);
		UpdateApercu(buffer);
		UpdateDonnees();}

		

if(key==337)if(x>0)x--;
if(key==340)if(x<7)x++;
if(key==338)if(y>0)y--;
if(key==344)if(y<11)y++;
if(key==KEY_ENTER)
	{buffer.map[y] ^= 0b010000000>>x;
	UpdatePlateau(buffer);
	UpdateApercu(buffer);}
if(key==KEY_F3)
{XChar(175,65,FONT[18],GetPlane(1));
						while((key=ngetchx())==344||(key==338))
							{
								if((key==344)&&(buffer.lar>=1))
									buffer.lar--;
								if((key==338)&&(buffer.lar<8))
									buffer.lar++;
							UpdateDonnees();
							XChar(175,65,FONT[18],GetPlane(1));
							}UpdateDonnees();}
if(key==KEY_F2){XChar(175,50,FONT[18],GetPlane(1));
						while((key=ngetchx())==344||(key==338))
							{
								if((key==344)&&(buffer.hau>=1))
									buffer.hau--;
								if((key==338)&&(buffer.hau<12))
									buffer.hau++;
							UpdateDonnees();
							XChar(175,50,FONT[18],GetPlane(1));
							}UpdateDonnees();}
if(key==KEY_F1){XChar(175,35,FONT[18],GetPlane(1));
						while((key=ngetchx())==344||(key==338))
							{
								if((key==344)&&(buffer.Yoffset>=1))
									buffer.Yoffset--;
								if((key==338)&&(buffer.Yoffset<8))
									buffer.Yoffset++;
							UpdateDonnees();
							XChar(175,35,FONT[18],GetPlane(1));
							}UpdateDonnees();}
if(key==KEY_F8)
	Apercu();
if(key==KEY_ESC||key==KEY_APPS)
	DlgMessage ("HELP", "PRESS [F4] FOR MENU", BT_NONE, BT_OK);
cursor();
}
OSInitKeyInitDelay(oldinit);
OSInitBetweenKeyDelay(oldelay);
ngetchx();
end:
free(CHARS);
free(FONT);
}

void _main()
{
TRY
	main_prog();
ONERR
	DlgMessage ("", "you'd better reset", BT_NONE, BT_OK);
  ERD_process (errCode);
ENDTRY
}
