void cursor()
{
	XOR(LCD_MEM,(11+(9*x)+3),(11+(9*y+3)));
	XOR(LCD_MEM,(11+(9*x)+4),(11+(9*y+3)));
	XOR(LCD_MEM,(11+(9*x)+3),(11+(9*y+4)));
	XOR(LCD_MEM,(11+(9*x)+4),(11+(9*y+4)));
}


void DrawPlateau()
{
int i,j;
for(i=10;i<119;i+=9)
{
	drawline(LCD_MEM,10,i,82,i,A_REPLACE);
}
for(i=10;i<83;i+=9)
{
	drawline(LCD_MEM,i,11,i,117,A_REPLACE);
}
XChar(5,0,FONT[18],LCD_MEM);
XChar(5,0,FONT[18],LCD_MEM);
for(i=14,j=48;i<=77;i+=9,j++)
	XChar(i,0,FONT[(int)j],LCD_MEM);

for(i=11,j=48;i<=83;i+=9,j++)
	XChar(4,i,FONT[(int)j],LCD_MEM);

XStr(1,92,"10",NORMAL,MODE_XOR,LCD_MEM);
XStr(2,101,"11",NORMAL,MODE_XOR,LCD_MEM);
XStr(1,110,"12",NORMAL,MODE_XOR,LCD_MEM);
}

void DrawApercu()
{
rectangle(210,10,230,30,A_REPLACE,LCD_MEM);
}

void UpdateApercu(struct CHAR car)
{
short i;
for(i=11;i<=29;i++)
	drawline(LCD_MEM,211,i,229,i,A_REVERSE);

car.Yoffset=car.Yoffset/30;
XChar(216,16,car,LCD_MEM);
}

void UpdatePlateau(struct CHAR car)
{
	short i,j,k,l;
	for(i=0;i<12;i++)
	{
		for(j=7;j>=0;j--)
		{
			if(car.map[i]>>j&1)
				for(k=0;k<8;k++)
					for(l=0;l<8;l++)
							PIX(LCD_MEM,(74-(9*j)+k),(11+(9*i)+l));

			else
				for(k=0;k<8;k++)
					for(l=0;l<8;l++)
							CLPIX(LCD_MEM,(74-(9*j)+k),(11+(9*i)+l));
		}
	}
}


void DrawDonnees()
{
XStr(100,10,"Donnees",BOLD,MODE_XOR,LCD_MEM);
XStr(100,35,"[F1] OffSet",NORMAL,MODE_XOR,LCD_MEM);
XStr(100,50,"[F2] Hauteur",NORMAL,MODE_XOR,LCD_MEM);
XStr(100,65,"[F3] Largeur",NORMAL,MODE_XOR,LCD_MEM);
XStr(100,80,"index",NORMAL,MODE_XOR,LCD_MEM);
XStr(100,95,"systeme",NORMAL,MODE_XOR,LCD_MEM);
}

void UpdateDonnees()
{
char buf[10];
int k,l;
for(k=0;k<30;k++)
	for(l=0;l<90;l++)
		CLPIX(LCD_MEM,(173+k),(34+l));

sprintf(buf,"%d",buffer.Yoffset);
XStr(180,35,buf,NORMAL,MODE_XOR,LCD_MEM);
sprintf(buf,"%d",buffer.hau);
XStr(180,50,buf,NORMAL,MODE_XOR,LCD_MEM);
sprintf(buf,"%d",buffer.lar);
XStr(180,65,buf,NORMAL,MODE_XOR,LCD_MEM);
sprintf(buf,"%d",curr);
XStr(180,80,buf,NORMAL,MODE_XOR,LCD_MEM);

SetPlane(1);
DrawChar(180,95,curr,A_NORMAL);
}
